package sbhpfv1

// PropertyType defines the type of a node property.
type PropertyType byte

const (
	TypeInt8    PropertyType = 0x01 // 8-bit signed integer. (1 byte)
	TypeUint8   PropertyType = 0x02 // 8-bit unsigned integer. (1 byte)
	TypeInt16   PropertyType = 0x03 // 16-bit signed integer. (2 bytes)
	TypeUint16  PropertyType = 0x04 // 16-bit unsigned integer. (2 bytes)
	TypeInt32   PropertyType = 0x05 // 32-bit signed integer. (4 bytes)
	TypeUint32  PropertyType = 0x06 // 32-bit unsigned integer. (4 bytes)
	TypeInt64   PropertyType = 0x07 // 64-bit signed integer. (8 bytes)
	TypeUint64  PropertyType = 0x08 // 64-bit unsigned integer. (8 bytes)
	TypeFloat32 PropertyType = 0x09 // 32-bit IEEE 754 single precision floating-point number. (4 bytes)
	TypeFloat64 PropertyType = 0x0a // 64-bit IEEE 754 single precision floating-point number. (8 bytes)
	TypeBool    PropertyType = 0x0b // 8-bit boolean. (1 byte)
	TypeString  PropertyType = 0x0c // Variably sized string. (2-byte length header + byte length specified by header)
)
